Alembic: Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader Class Reference

`#include <ObjectHeader.h>`

## Public Member Functions
| ObjectHeader ()
| ObjectHeader (const std::string &iName, const MetaData &iMetaData)
| ObjectHeader (const std::string &iName, const std::string &iFullName, const MetaData &iMetaData)
const std::string & | getName () const
void | setName (const std::string &iName)
const std::string & | getFullName () const
void | setFullName (const std::string &iFullName)
const MetaData & | getMetaData () const
MetaData & | getMetaData ()

## Detailed Description

The ObjectHeader is a collection of MetaData which helps define a Property. It also acts as a key for getting an instance of a property from a CompoundProperty.

## Constructor & Destructor Documentation

## ◆ ObjectHeader() [1/3]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::ObjectHeader | ( |  | ) |
| inline

Default constructor creates an unspecified object header. ...

## ◆ ObjectHeader() [2/3]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::ObjectHeader | ( | const std::string & | iName,
|  | const MetaData & | iMetaData )
| inline

Explicit constructor, ignoring full name. ...

## ◆ ObjectHeader() [3/3]

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::ObjectHeader | ( | const std::string & | iName,
|  | const std::string & | iFullName,
|  | const MetaData & | iMetaData )
| inline

Explicit constructor with full name. ...

## Member Function Documentation

## ◆ getFullName()

const std::string & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::getFullName | ( |  | ) | const
| inline

All objects have a full name, which is unique in the whole file. ...

## ◆ getMetaData()

const MetaData & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::getMetaData | ( |  | ) | const
| inline

All objects have metadata. It is manipulated directly.

## ◆ getName()

const std::string & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ObjectHeader::getName | ( |  | ) | const
| inline

Default Copy constructor Default Assignment operator

All objects have a name, which is unique amongst its siblings. ...

The documentation for this class was generated from the following file:

- AbcCoreAbstract/ObjectHeader.h